summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-11-22 19:41:24 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2022-03-21 12:03:16 +0100
commite80e99f61bf935c5552d83cf6081771d96f0b16d (patch)
treeb365f5a39c1bddbf65bd2553f45c6462b5bd5eab /eclass
parentqt5-build.eclass: Re-add support for Qt 5.15.2 official tarballs (diff)
downloadgentoo-e80e99f61bf935c5552d83cf6081771d96f0b16d.tar.gz
gentoo-e80e99f61bf935c5552d83cf6081771d96f0b16d.tar.bz2
gentoo-e80e99f61bf935c5552d83cf6081771d96f0b16d.zip
qt5-build.eclass: New helper function: qt5_symlink_binary_to_path()
Symlink necessary tools to /usr/bin According to upstream discussion on Qt6 recommended tools to be in PATH. See also: https://lists.qt-project.org/pipermail/development/2020-November/040626.html Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass10
1 files changed, 10 insertions, 0 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 328108b4e603..3159a409b441 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -327,6 +327,16 @@ qt5-build_pkg_postrm() {
###### Public helpers ######
+# @FUNCTION: qt5_symlink_binary_to_path
+# @USAGE: <target binary name> [suffix]
+# @DESCRIPTION:
+# Symlink a given binary from QT5_BINDIR to QT5_PREFIX/bin, with optional suffix
+qt5_symlink_binary_to_path() {
+ [[ $# -ge 1 ]] || die "${FUNCNAME}() requires at least one argument"
+
+ dosym -r "${QT5_BINDIR}"/${1} /usr/bin/${1}${2}
+}
+
# @FUNCTION: qt_use
# @USAGE: <flag> [feature] [enableval]
# @DESCRIPTION: